# `abacusai.file_connector`

## Module Contents

### Classes

`FileConnector` | Verification result for an external storage service

class abacusai.file_connector.FileConnector(client, bucket=None, verified=None, writePermission=None, authExpiresAt=None)

  Bases: `abacusai.return_class.AbstractApiClass`

  Verification result for an external storage service

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - bucket (str) – The address of the bucket. eg., s3://your-bucket

    - verified (bool) – true if the bucket has passed verification

    - writePermission (bool) – true if Abacus.AI has permission to write to this bucket

    - authExpiresAt (str) – The time when the file connector’s auth expires, if applicable

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict